Welcome to the Linux Foundation Forum!

Trouble installing podman in Containers Fundamentals (LSF253)

Hi,

Is anyone else having problems installing podman?? I follow all instructions and get this:

[email protected]:~$ sudo apt install -y podman
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
catatonit containernetworking-plugins criu crun fuse-overlayfs fuse3 libfuse3-3 libnet1 libprotobuf-c1 libprotobuf17 libyajl2
podman-machine-cni podman-plugins python3-protobuf
The following packages will be REMOVED:
fuse
The following NEW packages will be installed:
catatonit containernetworking-plugins criu crun fuse-overlayfs fuse3 libfuse3-3 libnet1 libprotobuf-c1 libprotobuf17 libyajl2
podman podman-machine-cni podman-plugins python3-protobuf
0 upgraded, 15 newly installed, 1 to remove and 0 not upgraded.
Need to get 252 kB/29.2 MB of archives.
After this operation, 149 MB of additional disk space will be used.
Get:1 https://download.opensuse.org/repositories/devel:/kubic:/libcontainers:/stable/xUbuntu_20.04 crun 100:1.2-1 [252 kB]
Err:1 https://download.opensuse.org/repositories/devel:/kubic:/libcontainers:/stable/xUbuntu_20.04 crun 100:1.2-1
File has unexpected size (251432 != 251616). Mirror sync in progress? [IP: 91.193.113.70 443]
Hashes of expected file:
- SHA256:50d2ac91a829a8eb7e83c27fffa2715113e479104720f8dbb6881173dc4642f9
- SHA1:97f18c5ca26dea93a0ccd8a339d115dde2852020 [weak]
- MD5Sum:b7250d974a6d3b6ec4d1ee044ffc0c3a [weak]
- Filesize:251616 [weak]
E: Failed to fetch https://provo-mirror.opensuse.org/repositories/devel:/kubic:/libcontainers:/stable/xUbuntu_20.04/amd64/crun_1.2-1_amd64.deb File has unexpected size (251432 != 251616). Mirror sync in progress? [IP: 91.193.113.70 443]
Hashes of expected file:
- SHA256:50d2ac91a829a8eb7e83c27fffa2715113e479104720f8dbb6881173dc4642f9
- SHA1:97f18c5ca26dea93a0ccd8a339d115dde2852020 [weak]
- MD5Sum:b7250d974a6d3b6ec4d1ee044ffc0c3a [weak]
- Filesize:251616 [weak]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
[email protected]:~$

Comments

Categories

Upcoming Training